import {FoodProductIngredient} from "./foodProductIngredient.entity";
import {getTestEmissionFactor} from "../seed-dev-data";

let testIngredient: FoodProductIngredient;

beforeEach(async () => {
	testIngredient = new FoodProductIngredient();
	testIngredient.carbonEmissionFactor = getTestEmissionFactor("ham");
});

describe("FoodProductIngredient", () => {
	it("should compute a 0 footprint with undefined quantity", () => {
		expect(testIngredient.quantity).toBeUndefined();
		expect(testIngredient.carbonEmissionFactor).not.toBeNull();
		expect(testIngredient.computeFootprint()).toBe(0);
	});
});
